/*
 * GnuAPDF Library
 *   Jon Sevy, jsevy@cs.drexel.edu
 * 
 * Based on GnuJPDF Library, authored by (among others)
 *   Peter T Mount, http://www.retep.org.uk/pdf/
 *   Eric Z. Beard, ericzbeard@hotmail.com
 *   Gilbert DeLeeuw, gil1@users.sourceforge.net
 *   Matthew Hreljac, mhreljac@hotmail.com  
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

package gnu.apdftest;


//import android.support.v7.app.ActionBarActivity;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

import gnu.apdftest.R;


public class PDFTest extends Activity implements View.OnClickListener
{
    
    private PDFTestView graphicsView;
	
    private Button testGraphicsButton;
    private Button testTextButton;
    private Button testDrawVerticesStripButton;
	private Button testDrawVerticeFanButton;
	private Button testDrawVerticesTraingleButton;
	private Button testBitmapMeshButton;
	private Button testTransformationsButton;
	private Button testClippingButton;

	private Button testImagesButton;
    
    
    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        graphicsView = (PDFTestView)this.findViewById(R.id.graphicsView);
        
        testGraphicsButton = (Button)this.findViewById(R.id.testGraphicsButton);
        testGraphicsButton.setOnClickListener(this);
        
        testTextButton = (Button)this.findViewById(R.id.testTextButton);
        testTextButton.setOnClickListener(this);
        
        testClippingButton = (Button)this.findViewById(R.id.testClippingButton);
        testClippingButton.setOnClickListener(this);
        
        testTransformationsButton = (Button)this.findViewById(R.id.testTransformationsButton);
        testTransformationsButton.setOnClickListener(this);
        
        testImagesButton = (Button)this.findViewById(R.id.testImagesButton);
        testImagesButton.setOnClickListener(this);
        
        testBitmapMeshButton = (Button)this.findViewById(R.id.testBitmapMeshButton);
        testBitmapMeshButton.setOnClickListener(this);
        
        testDrawVerticesTraingleButton = (Button)this.findViewById(R.id.testDrawVerticesTraingleButton);
        testDrawVerticesTraingleButton.setOnClickListener(this);
        
        testDrawVerticeFanButton = (Button)this.findViewById(R.id.testDrawVerticeFanButton);
        testDrawVerticeFanButton.setOnClickListener(this);
        
        testDrawVerticesStripButton = (Button)this.findViewById(R.id.testDrawVerticesStripButton);
        testDrawVerticesStripButton.setOnClickListener(this);
        
        
    }
    
    
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu)
    {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
    
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item)
    {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.generatePDFItem)
        {
            return true;
        }
        
        return super.onOptionsItemSelected(item);
    }
    
    public void onClick(View view)
    {
        // set the stuff to draw
        graphicsView.setDisplayContent(view.getId());
        
    	// first draw on screen...
        graphicsView.invalidate();
        
        // ...then draw into PDF doc
        graphicsView.generatePDF();
    }
    
    
    
    
    
    
}
